Update Campaigns
/unified/ads/campaigns/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The bid strategy for the campaign.
The unique identifier for the bid strategy.
The name of the bid strategy.
lowest_cost_without_caplowest_cost_with_bid_capcost_cap
The budget for the campaign.
The daily max budget for the campaign.
The unique identifier for the budget.
Whether budget rebalancing is enabled for the campaign.
Whether budget scheduling is enabled for the campaign.
Whether the budget is shared for the campaign with other campaigns.
The max budget for the campaign.
The remaining budget for the campaign.
The labels for the campaign.
The unique identifier for the label.
The name of the label.
The name of the campaign.
The objective of the campaign.
app_installsbrand_awarenessconversionsvisitsjob_applicationsevent_responseslead_generationlink_clickslocal_awarenessmessagesoffer_claimsoutcome_app_promotionoutcome_awarenessoutcome_engagementoutcome_leadsoutcome_salesoutcome_trafficpage_likespost_engagementproduct_catalog_salesreachstore_visitsvideo_views+ 11 more
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The special ad categories for the campaign.
creditemploymenthousingnonepoliticalsocial_issues
The special ad category for the campaign.
creditemploymenthousingnonepoliticalsocial_issues
1 supported
The spend for the campaign.
Whether the cap is enabled for the campaign.
The max cap spend for the campaign.
The start time for the campaign.
The stop time for the campaign.
Response Body
The unique identifier for the campaign.
The unique identifier for the account.
The bid strategy for the campaign.
The unique identifier for the bid strategy.
The name of the bid strategy.
lowest_cost_without_caplowest_cost_with_bid_capcost_cap
The budget for the campaign.
The daily max budget for the campaign.
The unique identifier for the budget.
Whether budget rebalancing is enabled for the campaign.
Whether budget scheduling is enabled for the campaign.
Whether the budget is shared for the campaign with other campaigns.
The max budget for the campaign.
The remaining budget for the campaign.
The buying type for the campaign.
auctionreserved
The date and time the campaign was created.
The labels for the campaign.
The unique identifier for the label.
The name of the label.
The name of the campaign.
The objective of the campaign.
app_installsbrand_awarenessconversionsvisitsjob_applicationsevent_responseslead_generationlink_clickslocal_awarenessmessagesoffer_claimsoutcome_app_promotionoutcome_awarenessoutcome_engagementoutcome_leadsoutcome_salesoutcome_trafficpage_likespost_engagementproduct_catalog_salesreachstore_visitsvideo_views+ 11 more
The primary attribution for the campaign.
Raw data returned from the remote API call.
The special ad categories for the campaign.
creditemploymenthousingnonepoliticalsocial_issues
The special ad category for the campaign.
creditemploymenthousingnonepoliticalsocial_issues
The spend for the campaign.
Whether the cap is enabled for the campaign.
The max cap spend for the campaign.
The start time for the campaign.
The status of the campaign.
activeinactivedraftpauseddeletedarchivedin_processwith_issuescompletedcanceledpending_deletion
The stop time for the campaign.
The type of the campaign
The date and time the campaign was last updated.
curl -X PATCH 'https://api.truto.one/unified/ads/campaigns/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"labels": [],
"bid_strategy": {},
"budget": {},
"name": "your_name",
"objective": "app_installs",
"special_ad_categories": [],
"special_ad_category": "credit",
"spend": {},
"start_time": "your_start_time",
"stop_time": "your_stop_time",
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"labels": [],
"bid_strategy": {},
"budget": {},
"name": "your_name",
"objective": "app_installs",
"special_ad_categories": [],
"special_ad_category": "credit",
"spend": {},
"start_time": "your_start_time",
"stop_time": "your_stop_time",
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/ads/campaigns/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ads/campaigns/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"labels": [],
"bid_strategy": {},
"budget": {},
"name": "your_name",
"objective": "app_installs",
"special_ad_categories": [],
"special_ad_category": "credit",
"spend": {},
"start_time": "your_start_time",
"stop_time": "your_stop_time",
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'ads',
'campaigns',
'<resource_id>',
{
"labels": [],
"bid_strategy": {},
"budget": {},
"name": "your_name",
"objective": "app_installs",
"special_ad_categories": [],
"special_ad_category": "credit",
"spend": {},
"start_time": "your_start_time",
"stop_time": "your_stop_time",
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"ads",
"campaigns",
"<resource_id>",
{
"labels": [],
"bid_strategy": {},
"budget": {},
"name": "your_name",
"objective": "app_installs",
"special_ad_categories": [],
"special_ad_category": "credit",
"spend": {},
"start_time": "your_start_time",
"stop_time": "your_stop_time",
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())